org.apache.fop.cli

## Class AreaTreeInputHandler

- java.lang.Object
- - org.apache.fop.cli.InputHandler
  - - org.apache.fop.cli.AreaTreeInputHandler

All Implemented Interfaces:
  ErrorListener, Renderable

    public class AreaTreeInputHandler
    extends InputHandler

InputHandler for the area tree XML (the old intermediate format) as input.

### Field Summary

### Fields inherited from class org.apache.fop.cli.InputHandler

`log, sourcefile`

### Constructor Summary

Constructors
Constructor and Description
`AreaTreeInputHandler(File atfile)` Constructor for area tree XML input
`AreaTreeInputHandler(File xmlfile, File xsltfile, Vector params)` Constructor for XML->XSLT->area tree XML input

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `renderTo(FOUserAgent userAgent, String outputFormat, OutputStream out)` Generate a document, given an initialized Fop object

### Methods inherited from class org.apache.fop.cli.InputHandler

`createCatalogResolver, createMainSource, createXSLTSource, error, fatalError, renderTo, transformTo, transformTo, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AreaTreeInputHandler

    public AreaTreeInputHandler(File xmlfile,
                                File xsltfile,
                                Vector params)

Constructor for XML->XSLT->area tree XML input

Parameters:
  `xmlfile` - XML file
  `xsltfile` - XSLT file
  `params` - Vector of command-line parameters (name, value, name, value, ...) for XSL stylesheet, null if none

#### AreaTreeInputHandler

    public AreaTreeInputHandler(File atfile)

Constructor for area tree XML input

Parameters:
  `atfile` - the file to read the area tree document.

### Method Detail

#### renderTo

    public void renderTo(FOUserAgent userAgent,
                         String outputFormat,
                         OutputStream out)
                  throws FOPException

Generate a document, given an initialized Fop object

Overrides:
  `renderTo` in class `InputHandler`
Parameters:
  `userAgent` - the user agent
  `outputFormat` - the output format to generate (MIME type, see MimeConstants)
  `out` - the output stream to write the generated output to (may be null if not applicable)
Throws:
  `FOPException` - in case of an error during processing